RouterUserProtocol (Apache Hadoop HDFS-RBF 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.federation.router, class: RouterUserProtocol

Package org.apache.hadoop.hdfs.server.federation.router

# Class RouterUserProtocol

java.lang.Object
org.apache.hadoop.hdfs.server.federation.router.RouterUserProtocol

All Implemented Interfaces:
  `org.apache.hadoop.security.RefreshUserMappingsProtocol`, `org.apache.hadoop.tools.GetUserMappingsProtocol`

Direct Known Subclasses:
  `RouterAsyncUserProtocol`

public class RouterUserProtocol extends Object implements org.apache.hadoop.security.RefreshUserMappingsProtocol, org.apache.hadoop.tools.GetUserMappingsProtocol
Module that implements all the RPC calls in `RefreshUserMappingsProtocol` `GetUserMappingsProtocol` in the `RouterRpcServer`.

- ## Field Summary

  ### Fields inherited from interface org.apache.hadoop.tools.GetUserMappingsProtocol

  `versionID`

  ### Fields inherited from interface org.apache.hadoop.security.RefreshUserMappingsProtocol

  `versionID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RouterUserProtocol(RouterRpcServer server)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getGroupsForUser(String user)`
  `void`
  `refreshSuperUserGroupsConfiguration()`
  `void`
  `refreshUserToGroupsMappings()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RouterUserProtocol

    public RouterUserProtocol(RouterRpcServer server)

- ## Method Details

  - ### refreshUserToGroupsMappings

    public void refreshUserToGroupsMappings() throws IOException
    Specified by:
      `refreshUserToGroupsMappings` in interface `org.apache.hadoop.security.RefreshUserMappingsProtocol`
    Throws:
      `IOException`

  - ### refreshSuperUserGroupsConfiguration

    public void refreshSuperUserGroupsConfiguration() throws IOException
    Specified by:
      `refreshSuperUserGroupsConfiguration` in interface `org.apache.hadoop.security.RefreshUserMappingsProtocol`
    Throws:
      `IOException`

  - ### getGroupsForUser

    public String[] getGroupsForUser(String user) throws IOException
    Specified by:
      `getGroupsForUser` in interface `org.apache.hadoop.tools.GetUserMappingsProtocol`
    Throws:
      `IOException`